const express = require('express');
const cors = require('cors');
const pinoHttp = require('pino-http');
const { logger } = require('./util/logger');
const routes = require('./routes');

const app = express();

app.use(cors());
app.use(express.json());
app.use(express.urlencoded({ extended: true }));

// app.use(pinoHttp({ logger }));
app.use('/api', routes);
app.get('/health', (_, res) => res.send('server is healthy'));
app.use((err, _req, res, _next) => {
  logger.error(err, 'uncaught error');
  res.status(500).json({ error: 'INTERNAL SERVER ERROR' });
});

module.exports = app;
